# Example plugin

This template should help you get started developing Actindo plugin with Vue 3.

## Prerequisite

Have `NodeJS` and `NPM` installed on your machine and clone this repository.

## Getting started

Run
```bash
npm init @actindo/plugin@latest
```

- Enter a folder name or use `.` to install the plugin in the current folder.  
- Enter a plugin name.

## Command options

| command               | value          | description                          |
|-----------------------|----------------|--------------------------------------|
| -n, --folder-name     | _folderName_   | Project folder name                  |
| -p, --plugin-name     | _pluginName_   | Plugin name                          |
| -f, --force-overwrite |                | Overwrite folder content (if exists) |
| -s, --sample          |                | Copy sample code                     |
| -h, --help            |                | Help content                         |

**Usages**:
- Install in the `taxes-plugin` folder, overwrite content (is not empty), use `taxes` as the project `name` (package.json file)

```bash
npm init @actindo/plugin@latest -- -n=taxes-plugin -p=taxes -f
```